Package io.dapr.v1

# Class DaprProtos.RegisteredComponents.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>
io.dapr.v1.DaprProtos.RegisteredComponents.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.RegisteredComponentsOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.RegisteredComponents

public static final class DaprProtos.RegisteredComponents.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder> implements DaprProtos.RegisteredComponentsOrBuilder
Protobuf type `dapr.proto.runtime.v1.RegisteredComponents`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.RegisteredComponents.Builder`
`addAllCapabilities(Iterable<String> values)`
`repeated string capabilities = 4;`
`DaprProtos.RegisteredComponents.Builder`
`addCapabilities(String value)`
`repeated string capabilities = 4;`
`DaprProtos.RegisteredComponents.Builder`
`addCapabilitiesBytes(com.google.protobuf.ByteString value)`
`repeated string capabilities = 4;`
`DaprProtos.RegisteredComponents.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RegisteredComponents`
`build()`
`DaprProtos.RegisteredComponents`
`buildPartial()`
`DaprProtos.RegisteredComponents.Builder`
`clear()`
`DaprProtos.RegisteredComponents.Builder`
`clearCapabilities()`
`repeated string capabilities = 4;`
`DaprProtos.RegisteredComponents.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.RegisteredComponents.Builder`
`clearName()`
`string name = 1;`
`DaprProtos.RegisteredComponents.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.RegisteredComponents.Builder`
`clearType()`
`string type = 2;`
`DaprProtos.RegisteredComponents.Builder`
`clearVersion()`
`string version = 3;`
`DaprProtos.RegisteredComponents.Builder`
`clone()`
`String`
`getCapabilities(int index)`
`repeated string capabilities = 4;`
`com.google.protobuf.ByteString`
`getCapabilitiesBytes(int index)`
`repeated string capabilities = 4;`
`int`
`getCapabilitiesCount()`
`repeated string capabilities = 4;`
`com.google.protobuf.ProtocolStringList`
`getCapabilitiesList()`
`repeated string capabilities = 4;`
`DaprProtos.RegisteredComponents`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getName()`
`string name = 1;`
`com.google.protobuf.ByteString`
`getNameBytes()`
`string name = 1;`
`String`
`getType()`
`string type = 2;`
`com.google.protobuf.ByteString`
`getTypeBytes()`
`string type = 2;`
`String`
`getVersion()`
`string version = 3;`
`com.google.protobuf.ByteString`
`getVersionBytes()`
`string version = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.RegisteredComponents.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.RegisteredComponents.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.RegisteredComponents.Builder`
`mergeFrom(DaprProtos.RegisteredComponents other)`
`final DaprProtos.RegisteredComponents.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.RegisteredComponents.Builder`
`setCapabilities(int index, String value)`
`repeated string capabilities = 4;`
`DaprProtos.RegisteredComponents.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.RegisteredComponents.Builder`
`setName(String value)`
`string name = 1;`
`DaprProtos.RegisteredComponents.Builder`
`setNameBytes(com.google.protobuf.ByteString value)`
`string name = 1;`
`DaprProtos.RegisteredComponents.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.RegisteredComponents.Builder`
`setType(String value)`
`string type = 2;`
`DaprProtos.RegisteredComponents.Builder`
`setTypeBytes(com.google.protobuf.ByteString value)`
`string type = 2;`
`final DaprProtos.RegisteredComponents.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.RegisteredComponents.Builder`
`setVersion(String value)`
`string version = 3;`
`DaprProtos.RegisteredComponents.Builder`
`setVersionBytes(com.google.protobuf.ByteString value)`
`string version = 3;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### clear

public DaprProtos.RegisteredComponents.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### getDefaultInstanceForType

public DaprProtos.RegisteredComponents getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.RegisteredComponents build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.RegisteredComponents buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.RegisteredComponents.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### setField

public DaprProtos.RegisteredComponents.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### clearField

public DaprProtos.RegisteredComponents.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### clearOneof

public DaprProtos.RegisteredComponents.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### setRepeatedField

public DaprProtos.RegisteredComponents.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### addRepeatedField

public DaprProtos.RegisteredComponents.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### mergeFrom

public DaprProtos.RegisteredComponents.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RegisteredComponents.Builder>`

### mergeFrom

public DaprProtos.RegisteredComponents.Builder mergeFrom(DaprProtos.RegisteredComponents other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### mergeFrom

public DaprProtos.RegisteredComponents.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.RegisteredComponents.Builder>`
Throws:
  `IOException`

### getName

public String getName()
`string name = 1;`

Specified by:
  `getName` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  The name.

### getNameBytes

public com.google.protobuf.ByteString getNameBytes()
`string name = 1;`

Specified by:
  `getNameBytes` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  The bytes for name.

### setName

public DaprProtos.RegisteredComponents.Builder setName(String value)
`string name = 1;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

### clearName

public DaprProtos.RegisteredComponents.Builder clearName()
`string name = 1;`

Returns:
  This builder for chaining.

### setNameBytes

public DaprProtos.RegisteredComponents.Builder setNameBytes(com.google.protobuf.ByteString value)
`string name = 1;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

### getType

public String getType()
`string type = 2;`

Specified by:
  `getType` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  The type.

### getTypeBytes

public com.google.protobuf.ByteString getTypeBytes()
`string type = 2;`

Specified by:
  `getTypeBytes` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  The bytes for type.

### setType

public DaprProtos.RegisteredComponents.Builder setType(String value)
`string type = 2;`

Parameters:
  `value` - The type to set.
Returns:
  This builder for chaining.

### clearType

public DaprProtos.RegisteredComponents.Builder clearType()
`string type = 2;`

Returns:
  This builder for chaining.

### setTypeBytes

public DaprProtos.RegisteredComponents.Builder setTypeBytes(com.google.protobuf.ByteString value)
`string type = 2;`

Parameters:
  `value` - The bytes for type to set.
Returns:
  This builder for chaining.

### getVersion

public String getVersion()
`string version = 3;`

Specified by:
  `getVersion` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  The version.

### getVersionBytes

public com.google.protobuf.ByteString getVersionBytes()
`string version = 3;`

Specified by:
  `getVersionBytes` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  The bytes for version.

### setVersion

public DaprProtos.RegisteredComponents.Builder setVersion(String value)
`string version = 3;`

Parameters:
  `value` - The version to set.
Returns:
  This builder for chaining.

### clearVersion

public DaprProtos.RegisteredComponents.Builder clearVersion()
`string version = 3;`

Returns:
  This builder for chaining.

### setVersionBytes

public DaprProtos.RegisteredComponents.Builder setVersionBytes(com.google.protobuf.ByteString value)
`string version = 3;`

Parameters:
  `value` - The bytes for version to set.
Returns:
  This builder for chaining.

### getCapabilitiesList

public com.google.protobuf.ProtocolStringList getCapabilitiesList()
`repeated string capabilities = 4;`

Specified by:
  `getCapabilitiesList` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  A list containing the capabilities.

### getCapabilitiesCount

public int getCapabilitiesCount()
`repeated string capabilities = 4;`

Specified by:
  `getCapabilitiesCount` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Returns:
  The count of capabilities.

### getCapabilities

public String getCapabilities(int index)
`repeated string capabilities = 4;`

Specified by:
  `getCapabilities` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The capabilities at the given index.

### getCapabilitiesBytes

public com.google.protobuf.ByteString getCapabilitiesBytes(int index)
`repeated string capabilities = 4;`

Specified by:
  `getCapabilitiesBytes` in interface `DaprProtos.RegisteredComponentsOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the capabilities at the given index.

### setCapabilities

public DaprProtos.RegisteredComponents.Builder setCapabilities(int index, String value)
`repeated string capabilities = 4;`

Parameters:
  `index` - The index to set the value at.
  `value` - The capabilities to set.
Returns:
  This builder for chaining.

### addCapabilities

public DaprProtos.RegisteredComponents.Builder addCapabilities(String value)
`repeated string capabilities = 4;`

Parameters:
  `value` - The capabilities to add.
Returns:
  This builder for chaining.

### addAllCapabilities

public DaprProtos.RegisteredComponents.Builder addAllCapabilities(Iterable<String> values)
`repeated string capabilities = 4;`

Parameters:
  `values` - The capabilities to add.
Returns:
  This builder for chaining.

### clearCapabilities

public DaprProtos.RegisteredComponents.Builder clearCapabilities()
`repeated string capabilities = 4;`

Returns:
  This builder for chaining.

### addCapabilitiesBytes

public DaprProtos.RegisteredComponents.Builder addCapabilitiesBytes(com.google.protobuf.ByteString value)
`repeated string capabilities = 4;`

Parameters:
  `value` - The bytes of the capabilities to add.
Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.RegisteredComponents.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`

### mergeUnknownFields

public final DaprProtos.RegisteredComponents.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.RegisteredComponents.Builder>`